Package ru.bitel.bgbilling.plugins.fias.server.bean

# Class BaseLoadManager

java.lang.Object
ru.bitel.bgbilling.kernel.base.server.logger.BGLogger
ru.bitel.bgbilling.common.dao.AbstarctDaoConstant
ru.bitel.bgbilling.plugins.fias.server.bean.BaseLoadManager

Direct Known Subclasses:
  `AddressLoadManager`, `HouseLoadManager`

public class BaseLoadManager extends ru.bitel.bgbilling.common.dao.AbstarctDaoConstant

- ## Field Summary

  Fields
  Modifier and Type
  Field
  Description
  `protected static String`
  `ADDRESS_CITY`
  `protected static String`
  `ADDRESS_HOUSE`
  `protected static String`
  `ADDRESS_STREET`
  `protected static String`
  `FIAS_CITY_MAP`
  `protected static String`
  `FIAS_HOUSE_MAP`
  `protected static String`
  `FIAS_HOUSE_TEMP`
  `protected static String`
  `FIAS_STREET_MAP`
  `protected static String`
  `FIAS_STREET_TEMP`
  `protected boolean`
  `PROFILE`

  ### Fields inherited from class ru.bitel.bgbilling.common.dao.AbstarctDaoConstant

  `con, ERROR, fields, moduleId, SQL_ALL, SQL_AND, SQL_CALC_FOUND_ROWS, SQL_DELETE, SQL_DISTINCT, SQL_EQ, SQL_EQCS, SQL_FROM, SQL_GROUP, SQL_IN, SQL_INSERT, SQL_JOIN, SQL_LEFT_JOIN, SQL_LIMIT, SQL_NOT_IN, SQL_ON, SQL_ON_DUPLICATE_KEY_UPDATE, SQL_ORDER, SQL_SELECT, SQL_SET, SQL_UPDATE, SQL_VALUES, SQL_WHERE, tableName`

- ## Constructor Summary

  Constructors
  Constructor
  Description
  `BaseLoadManager(Connection con)`

- ## Method Summary

  Modifier and Type
  Method
  Description
  `void`
  `clearFiasTable()`
  `protected void`
  `exceptionLog(Exception ex)`
  `protected ResultSet`
  `executeQuery(PreparedStatement ps)`
  `protected ResultSet`
  `executeQuery(Statement st, String query)`
  `protected <T extends AddressObj>
  T`
  `loadAddressObjFromRs(T obj, ResultSet rs)`
  `protected FiasCity`
  `loadCityFromRs(ResultSet rs)`

  ### Methods inherited from class ru.bitel.bgbilling.common.dao.AbstarctDaoConstant

  `getPeriod, getSQLOrder, getTableName, psSetDate, psSetInt, psSetString`

  ### Methods inherited from class ru.bitel.bgbilling.kernel.base.server.logger.BGLogger

  `error, error, error, getLogger, logError, logError, warn`

  ### Methods inherited from class java.lang.Object

  `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- ## Field Details

  - ### FIAS_CITY_MAP

    protected static String FIAS_CITY_MAP

  - ### FIAS_STREET_MAP

    protected static String FIAS_STREET_MAP

  - ### ADDRESS_STREET

    protected static String ADDRESS_STREET

  - ### FIAS_STREET_TEMP

    protected static String FIAS_STREET_TEMP

  - ### ADDRESS_CITY

    protected static String ADDRESS_CITY

  - ### FIAS_HOUSE_TEMP

    protected static String FIAS_HOUSE_TEMP

  - ### FIAS_HOUSE_MAP

    protected static String FIAS_HOUSE_MAP

  - ### ADDRESS_HOUSE

    protected static String ADDRESS_HOUSE

  - ### PROFILE

    protected boolean PROFILE

- ## Constructor Details

  - ### BaseLoadManager

    public BaseLoadManager(Connection con)

- ## Method Details

  - ### exceptionLog

    protected void exceptionLog(Exception ex) throws ru.bitel.bgbilling.common.BGException
    Throws:
      `ru.bitel.bgbilling.common.BGException`

  - ### executeQuery

    protected ResultSet executeQuery(PreparedStatement ps) throws SQLException
    Throws:
      `SQLException`

  - ### executeQuery

    protected ResultSet executeQuery(Statement st, String query) throws SQLException
    Throws:
      `SQLException`

  - ### loadAddressObjFromRs

    protected <T extends AddressObj> T loadAddressObjFromRs(T obj, ResultSet rs) throws SQLException
    Throws:
      `SQLException`

  - ### loadCityFromRs

    protected FiasCity loadCityFromRs(ResultSet rs) throws SQLException, ru.bitel.bgbilling.common.BGException
    Throws:
      `SQLException`
      `ru.bitel.bgbilling.common.BGException`

  - ### clearFiasTable

    public void clearFiasTable() throws Exception
    Throws:
      `Exception`